/*
 * GridTextField.java    1.0 97/08/28
 *
 * Copyright (c) 1997 Netscape Communications Corporation
 *
 * Netscape grants you a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Netscape.
 *
 * This software is provided "AS IS," without a warranty of any kind.
 * See the CDK License Agreement for additional terms and conditions.
 * created: 2/97 cls
 */

package netscape.peas;

import netscape.application.TextField;
import netscape.application.Target;


/**
 * GridView implements a very basic IFC based table control.  A very limited set
 * of methods are provided for getting and column information, values and rows of values.
 */
public class GridTextField extends TextField { 

    /**
     * Construct a GridView which sends event notifications to the specified Target.
     */
    public GridTextField() {
        super();
    }
    
    public void startFocus() {
        super.startFocus();
        Target t = target();
        if ( null != t ) {
            t.performCommand( "startFocus", this );
        }
    }
    
 } //GridTextField
